subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From julianf...@apache.org
Subject svn commit: r880877 - in /subversion/trunk/tools/buildbot/slaves/centos: svnbuild.sh svncheck-bindings.sh svncheck.sh
Date Mon, 16 Nov 2009 17:57:38 GMT
Author: julianfoad
Date: Mon Nov 16 17:57:37 2009
New Revision: 880877

URL: http://svn.apache.org/viewvc?rev=880877&view=rev
Log:
Update the BuildBot Centos slave configuration to test over RA Neon, and to
find Jave and SQLite dependencies better, and disable the Ruby tests as they
currently seg-fault on this platform.

* tools/buildbot/slaves/centos/svnbuild.sh
  Update the configure script --with arguments for Java and SQLite.

* tools/buildbot/slaves/centos/svncheck-bindings.sh
  Comment out the Ruby test.

* tools/buildbot/slaves/centos/svncheck.sh
  Switch from RA-local ("make check") to RA-Neon ("make davautocheck").

Modified:
    subversion/trunk/tools/buildbot/slaves/centos/svnbuild.sh
    subversion/trunk/tools/buildbot/slaves/centos/svncheck-bindings.sh
    subversion/trunk/tools/buildbot/slaves/centos/svncheck.sh

Modified: subversion/trunk/tools/buildbot/slaves/centos/svnbuild.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/centos/svnbuild.sh?rev=880877&r1=880876&r2=880877&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/centos/svnbuild.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/centos/svnbuild.sh Mon Nov 16 17:57:37 2009
@@ -15,8 +15,10 @@
             --with-apxs=/usr/sbin/apxs \
             --without-berkeley-db \
             --with-apr=/usr \
-            --with-jdk \
             --with-apr-util=/usr \
+            --with-jdk=/opt/java/jdk1.6.0_15 \
+	    --with-junit=/home/bt/junit-4.4.jar \
+	    --with-sqlite=/home/bt/sqlite-3.6.17/sqlite3.c \
             || exit $?
 
 echo "========= make"

Modified: subversion/trunk/tools/buildbot/slaves/centos/svncheck-bindings.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/centos/svncheck-bindings.sh?rev=880877&r1=880876&r2=880877&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/centos/svncheck-bindings.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/centos/svncheck-bindings.sh Mon Nov 16 17:57:37
2009
@@ -13,7 +13,8 @@
 echo "========= make check-swig-py"
 make check-swig-py || RC=$?
 
-echo "========= make check-swig-rb"
-make check-swig-rb || RC=$?
+# ruby test currently failing, generating SEGV on centos
+#echo "========= make check-swig-rb"
+#make check-swig-rb # || RC=$?
 
 exit ${RC}

Modified: subversion/trunk/tools/buildbot/slaves/centos/svncheck.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/centos/svncheck.sh?rev=880877&r1=880876&r2=880877&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/centos/svncheck.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/centos/svncheck.sh Mon Nov 16 17:57:37 2009
@@ -13,8 +13,8 @@
 mkdir -p subversion/tests/cmdline/svn-test-work
 test -e ../mount-ramdrive && ../mount-ramdrive
 
-echo "========= make check"
-make check FS_TYPE=$1 CLEANUP=1 || exit $?
+echo "========= make davautocheck"
+make davautocheck FS_TYPE=$1 CLEANUP=1 || exit $?
 
 # the bindings are checked with svncheck-bindings.sh
 exit 0



Mime
View raw message